cudnn_frontend::ConvDescBuilder_v8
cudnn_frontend_ConvDesc.h
ConvDesc_v8 ConvDesc_v8 cudnn_frontend::ConvDescBuilder_v8::m_convDesc m_convDesc
auto auto cudnn_frontend::ConvDescBuilder_v8::setDataType (cudnnDataType_t data_type_) -> ConvDescBuilder_v8 & setDataType cudnnDataType_t data_type_

Set Datatype for the Convolution Operation.

auto auto cudnn_frontend::ConvDescBuilder_v8::setComputePrecision (cudnnDataType_t data_type_) -> ConvDescBuilder_v8 & setComputePrecision cudnnDataType_t data_type_
auto auto cudnn_frontend::ConvDescBuilder_v8::setPrePadding (int64_t ndims, int64_t const *padding) -> ConvDescBuilder_v8 & setPrePadding int64_t ndims int64_t const * padding

Set Padding Lower of the convDesc.

auto auto cudnn_frontend::ConvDescBuilder_v8::setPostPadding (int64_t ndims, int64_t const *padding) -> ConvDescBuilder_v8 & setPostPadding int64_t ndims int64_t const * padding

Set Padding Upper of the convDesc.

auto auto cudnn_frontend::ConvDescBuilder_v8::setDilation (int64_t ndims, int64_t const *dilation) -> ConvDescBuilder_v8 & setDilation int64_t ndims int64_t const * dilation

Set Dilation of the convDesc.

cudnn_frontend::ConvDesc_v8::dilation
auto auto cudnn_frontend::ConvDescBuilder_v8::setStrides (int64_t ndims, int64_t const *strides) -> ConvDescBuilder_v8 & setStrides int64_t ndims int64_t const * strides

Set Strides of the convDesc.

auto auto cudnn_frontend::ConvDescBuilder_v8::setNDims (int64_t nDims_) -> ConvDescBuilder_v8 & setNDims int64_t nDims_

Set Num Spatial Dimensions of the convolution Operation.

auto auto cudnn_frontend::ConvDescBuilder_v8::setMathMode (cudnnConvolutionMode_t mode_) -> ConvDescBuilder_v8 & setMathMode cudnnConvolutionMode_t mode_

Set Convolution Mode of the convolution Operation.

ConvDesc_v8 && ConvDesc_v8&& cudnn_frontend::ConvDescBuilder_v8::build () build

constructs the ConvDesc_v8 by calling the cudnn API Throws the appropriate error message

cudnn_frontend::ConvDesc_v8::ConvDescBuilder_v8
cudnn_frontend::getLogger
cudnn_frontend::ConvDesc_v8::operator=
cudnn_frontend::set_error_and_throw_exception
cudnn_frontend::BackendDescriptor::status
cudnn_frontend::ConvDescBuilder_v8::ConvDescBuilder_v8
()=default
ConvDescBuilder_v8
cudnn_frontend::ConvDescBuilder_v8::~ConvDescBuilder_v8
()=default
~ConvDescBuilder_v8
cudnn_frontend::ConvDescBuilder_v8::ConvDescBuilder_v8
(ConvDescBuilder_v8 &&)=delete
ConvDescBuilder_v8
ConvDescBuilder_v8 &&
cudnn_frontend::ConvDescBuilder_v8::ConvDescBuilder_v8
(ConvDescBuilder_v8 const &)=delete
ConvDescBuilder_v8
ConvDescBuilder_v8 const &
ConvDescBuilder_v8 & ConvDescBuilder_v8& cudnn_frontend::ConvDescBuilder_v8::operator= (ConvDescBuilder_v8 const &)=delete operator= ConvDescBuilder_v8 const &

ConvDescBuilder_v8 Class Helper class used to build ConvDesc_v8 class

shared_ptr< OpaqueBackendPointer >
cudnnConvolutionMode_t
cudnn_frontend::ConvDesc_v8
-padUpper
-nDims
-stride
-dilation
-padLower
-mode
-compute_precision
cudnnStatus_t
std::basic_string< char >
cudnnDataType_t
cudnn_frontend::ConvDescBuilder_v8
-m_convDesc
int64_t
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::string
- cudnn_frontend::ConvDescBuilder_v8
  build
- cudnn_frontend::ConvDescBuilder_v8
  ConvDescBuilder_v8
- cudnn_frontend::ConvDescBuilder_v8
  ConvDescBuilder_v8
- cudnn_frontend::ConvDescBuilder_v8
  ConvDescBuilder_v8
- cudnn_frontend::ConvDescBuilder_v8
  m_convDesc
- cudnn_frontend::ConvDescBuilder_v8
  operator=
- cudnn_frontend::ConvDescBuilder_v8
  setComputePrecision
- cudnn_frontend::ConvDescBuilder_v8
  setDataType
- cudnn_frontend::ConvDescBuilder_v8
  setDilation
- cudnn_frontend::ConvDescBuilder_v8
  setMathMode
- cudnn_frontend::ConvDescBuilder_v8
  setNDims
- cudnn_frontend::ConvDescBuilder_v8
  setPostPadding
- cudnn_frontend::ConvDescBuilder_v8
  setPrePadding
- cudnn_frontend::ConvDescBuilder_v8
  setStrides
- cudnn_frontend::ConvDescBuilder_v8
  ~ConvDescBuilder_v8